Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25067

Description

When using the "Refactor Fields" processing algorithm and the attribute data contains columns of type boolean, one gets Python errors:

File /usr/local/share/qgis/python/plugins/processing/algs/qgis/ui/FieldsMappingPanel.py" line, in data

  return self.fieldTypes[value]

KeyError: 1

Apparently,

(QVariant.Bool, "Boolean"),

has to be added to the fieldType OrderedDict.

Associated revisions

Revision ee8ef42c - 2017-11-16 11:46 AM - Alexander Bruy

[processing] boolean fieds support in the Refactor Fields algorithm (fix #17168)

History

#1 - 2017-09-21 10:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does it work as expected on 2.18?

#2 - 2017-09-21 11:53 AM - Andreas Neumann

The boolean data type (on the QGIS level) is new in QGIS master. It didn't exist in 2.18x

So the issue is only on master.

#3 - 2017-11-16 11:45 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Feedback to Closed
Applied in changeset commit:qgis|ee8ef42c42146c357e6e7bdb820d84b6ec4ecea5.
